.article-block {
	margin-top: 60px;
	margin-bottom: 60px;
	padding: 0;
}

.article-block h2 {
	margin-bottom: 30px;
}

/* Each category group is stacked on top of the next. */
.article-block__posts {
	margin-bottom: 60px;
}

.article-block__posts:last-child {
	margin-bottom: 0;
}

.article-block__posts--controls {
	display: flex;
	justify-content: space-between;
	margin-bottom: 30px;
}

.article-block__posts--controls h3 {
	margin: 0;
}

.article-block__posts--controls > div {
	display: flex;
	align-items: center;
	gap: 0.9375rem;
}

.article-block__posts--controls > div a {
	font-size: 0.875rem;
	font-weight: 700;
	line-height: 1.25rem;
}

.article-block__posts--page {
	display: grid;
	grid-template-columns: repeat(4, 1fr);
	column-gap: 33px;
	row-gap: 40px;
}

.article-block__posts--item,
.article-block__posts--item-featured {
	display: grid;
}

.article-block__posts--item h4,
.article-block__posts--item-featured h4 {
	text-align: left !important;
}

.article-block__posts--item h4:hover,
.article-block__posts--item-featured h4:hover {
	text-decoration: underline;
}

.article-block__posts--item .image-placeholder,
.article-block__posts--item-featured .image-placeholder {
	background-position: center;
	background-size: cover;
}

.article-block__posts--item span,
.article-block__posts--item-featured span {
	display: flex;
	gap: 5px;
	align-items: center;
	color: #343840;
}

.article-block__posts--item span time {
	font-size: 12px;
	line-height: 16px;
}

/* Featured article (first in each group) */
.article-block__posts--item-featured {
	grid-column: span 4;
	grid-template-columns: 1fr 1fr;
	gap: 34px;
	border-radius: 5px;
	border: 1px solid rgba(52, 56, 64, 0.1);
	background: #fff;
	box-shadow: 0 4px 10px 0 rgba(0, 0, 0, 0.1);
}

.article-block__posts--item-featured span time {
	font-size: 16px;
	line-height: 24px;
}

.article-block__posts--item-featured > div:nth-child(2) {
	display: flex;
	flex-direction: column;
	justify-content: center;
	padding: 22px 30px 23px 0;
	gap: 5px;
}

.article-block__posts--item-featured h4 {
	margin: 0;
}

.article-block__posts--item-featured p {
	text-align: left !important;
	margin-bottom: 0;
}

.article-block__posts--item-featured .read-more {
	font-weight: 700;
}

.article-block__posts--item-featured .image-placeholder {
	border-radius: 5px 0 0 5px;
	height: 297px;
}

/* Normal articles */
.article-block__posts--item {
	grid-template-columns: 1fr;
	gap: 11px;
	height: fit-content;
}

.article-block__posts--item h4 {
	font-size: 18px;
	line-height: 25px;
	margin-bottom: 5px;
	overflow: hidden;
	text-overflow: ellipsis;
	display: -webkit-box;
	-webkit-line-clamp: 2;
	line-clamp: 2;
	-webkit-box-orient: vertical;
}

.article-block__posts--item .image-placeholder {
	border-radius: 5px;
	height: 190px;
}

.article-block__posts--date::before {
	content: '';
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='17' height='18' viewBox='0 0 17 18' fill='none'%3E%3Crect x='2.5' y='5' width='12' height='10' rx='0.5' stroke='%23343840'/%3E%3Cpath d='M2.5 8.5H14.5' stroke='%23343840'/%3E%3Cpath d='M5 3C5 2.72386 5.22386 2.5 5.5 2.5C5.77614 2.5 6 2.72386 6 3V4.5H5V3Z' fill='%23343840'/%3E%3Cpath d='M11 3C11 2.72386 11.2239 2.5 11.5 2.5C11.7761 2.5 12 2.72386 12 3V4.5H11V3Z' fill='%23343840'/%3E%3C/svg%3E");
	background-position: center;
	width: 17px;
	height: 17px;
}

.article-block__posts--footer {
	margin-top: 30px;
	display: none;
	text-align: center;
}

.article-block__posts--footer a {
	font-size: 16px;
	font-weight: 700;
	text-decoration: underline;
}

/* Slider (Glide) */
.article-block .glide__track {
	transition: height 0.3s ease;
}

.article-block__posts--controls .glide__arrows {
	display: flex;
	align-items: center;
	gap: 0.625rem;
}

.article-block__posts--controls .glide__arrow {
	width: 30px;
	height: 30px;
	background-position: center;
	padding: 0;
	margin: 0;
}

.article-block__posts--controls .glide__arrow:disabled {
	opacity: 0.2;
	cursor: not-allowed;
}

.article-block__posts--controls .glide__arrow--left {
	background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' viewBox='0 0 30 30' fill='none'%3E%3Crect width='30' height='30' rx='5' fill='%23F5F6F8'/%3E%3Cpath d='M17.2376 7.86241L10.9876 14.1124C10.5126 14.5874 10.5126 15.3999 10.9876 15.8749L17.2376 22.1249C18.3751 23.2624 20.1501 21.4999 19.0001 20.3624L12.7501 14.1124V15.8749L19.0001 9.62491C20.1376 8.48741 18.3751 6.71241 17.2376 7.86241Z' fill='%23343840'/%3E%3C/svg%3E");
}

.article-block__posts--controls .glide__arrow--right {
	background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' viewBox='0 0 30 30' fill='none'%3E%3Crect x='30' y='30' width='30' height='30' rx='5' transform='rotate(-180 30 30)' fill='%23F5F6F8'/%3E%3Cpath d='M12.7624 22.1376L19.0124 15.8876C19.4874 15.4126 19.4874 14.6001 19.0124 14.1251L12.7624 7.87509C11.6249 6.73759 9.84991 8.50009 10.9999 9.63759L17.2499 15.8876L17.2499 14.1251L10.9999 20.3751C9.8624 21.5126 11.6249 23.2876 12.7624 22.1376Z' fill='%23343840'/%3E%3C/svg%3E");
}

@media (max-width: 1023px) {
	.article-block h2 {
		margin-bottom: 20px;
	}

	.article-block .glide__track {
		overflow: hidden;
	}

	.article-block .glide__slides {
		align-items: flex-start;
	}

	.article-block .glide__slide {
		height: auto;
	}

	.article-block__posts--controls > div a {
		display: none;
	}

	.article-block__posts--page {
		grid-template-columns: 1fr;
		row-gap: 30px;
	}

	.article-block__posts--item-featured {
		grid-template-columns: 1fr;
		grid-column: auto;
		gap: 20px;
		border: none;
		box-shadow: none;
		margin-bottom: 30px;
	}

	.article-block__posts--item-featured > div:nth-child(2) {
		padding: 0;
	}

	.article-block__posts--item-featured h4 {
		font-size: 24px;
	}

	.article-block__posts--item-featured .image-placeholder {
		border-radius: 5px;
		height: 365px;
	}

	.article-block__posts--item {
		grid-template-columns: 1fr 1fr;
		gap: 20px;
	}

	.article-block__posts--item > div {
		display: flex;
		flex-direction: column;
		justify-content: space-between;
	}

	.article-block__posts--item h4 {
		font-size: 20px;
	}

	.article-block__posts--item .image-placeholder {
		height: 222px;
	}

	.article-block__posts--footer {
		display: block;
	}
}

@media (max-width: 767px) {
	.article-block {
		margin-top: 30px;
		margin-bottom: 30px;
		padding: 0;
	}

	.article-block__posts {
		margin-bottom: 40px;
	}

	.article-block__posts--item-featured h4 {
		font-size: 20px;
	}

	.article-block__posts--item-featured .image-placeholder {
		height: 178px;
	}

	.article-block__posts--item h4 {
		font-size: 14px;
	}

	.article-block__posts--item .image-placeholder {
		height: 123px;
	}
}
